@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap");
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
.boddy {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: linear-gradient(180deg, #040918 0%, #091540 100%);
  font-size: 16px;
  font-family: "Noto Sans", sans-serif;
  padding-bottom: 25px;
}
.body-light {
  background: linear-gradient(180deg, #ebf2fc 0%, #eef8f9 100%);
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 25px;
  width: 65%;
  background-color: hsl(226, 25%, 17%);
  height: fit-content;
  padding: 15px;
  border-radius: 15px;
}
.bg-color-changer-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border: none;
  background-color: hsl(225, 23%, 24%);
  border-radius: 10px;
}
.bg-color-changer-btn:focus-visible {
  outline: 2px solid hsl(3, 71%, 56%);
  outline-offset: 2px;
}
.bg-color-changer-btn:hover {
  background-color: hsl(226, 11%, 37%);
  cursor: pointer;
}
main {
  width: 65%;
  height: fit-content;
  display: flex;
  flex-direction: column;
}
.filter-section {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 35px;
}
.extension-list {
  color: hsl(200, 60%, 99%);
}
.filter-section .btn {
  border: none;
  background-color: hsl(225, 23%, 24%);
  color: hsl(200, 60%, 99%);
  padding: 10px 20px;
  border-radius: 20px;
  margin-left: 5px;
  cursor: pointer;
}
.filter-section .btn:focus-visible {
  outline: 2px solid hsl(3, 71%, 56%);
  outline-offset: 2px;
}
.filter-section .btn:hover {
  background-color: hsl(226, 11%, 37%);
}
.filter-section .btn.activeFilterBtn {
  background-color: hsl(3, 86%, 64%);
}
/* =============================== */
.extensions-container {
  width: 100%;
  height: fit-content;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 10px;
  justify-items: center;
}
.element {
  background-color: hsl(226, 25%, 17%);
  border: 0.1px solid hsl(226, 11%, 37%);
  border-radius: 15px;
  max-width: 350px;
  padding: 15px;
  color: hsl(200, 60%, 99%);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 200px;
}
.element-info {
  display: flex;
  align-items: start;
  /* margin-bottom: 35px; */
}
.element-info img {
  display: block;
  margin-right: 15px;
}

.element-info h3 {
  margin-bottom: 10px;
}
.element-info p {
  color: hsl(0, 0%, 78%);
  font-size: 14px;
}
.element-control {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.remove-btn {
  border: none;
  background-color: transparent;
  color: hsl(200, 60%, 99%);
  border: 0.1px solid hsl(226, 11%, 37%);
  padding: 10px 20px;
  border-radius: 20px;
  margin-left: 5px;
  cursor: pointer;
  transition: background-color linear 0.3s;
}
.remove-btn:focus-visible {
  outline: 2px solid hsl(3, 71%, 56%);
  outline-offset: 2px;
}

.remove-btn:hover {
  background-color: hsl(3, 77%, 44%);
}
.checkbox-container {
  position: relative;
  z-index: 1;
}
.custom-checkbox {
  width: 50px;
  height: 25px;
  cursor: pointer;
  background-color: hsl(226, 11%, 37%);
  border-radius: 20px;
  padding: 3px;
  display: flex;
  align-items: center;
}

.checkbox {
  position: absolute;
  opacity: 0;
  width: 1px;
  height: 1px;
  pointer-events: none;
}
.checkbox:checked ~ .custom-checkbox {
  background-color: hsl(3, 86%, 64%);
}
.checkbox:focus-visible ~ .custom-checkbox {
  outline: 2px solid hsl(3, 71%, 56%);
  outline-offset: 2px;
}
.circle {
  position: absolute;
  top: 2.5px;
  left: 5px;
  width: 20px;
  height: 20px;
  background-color: #ebf2fc;
  border-radius: 50%;
  z-index: 2;
  transition: left linear 0.3s;
  cursor: pointer;
}
.checkbox:checked ~ .circle {
  left: 25px;
}
/* ======Light Mode Start======= */
.boddy.body-light header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 25px;
  width: 65%;
  background-color: hsl(200, 60%, 99%);
  height: fit-content;
  padding: 15px;
  border-radius: 15px;
}
.boddy.body-light .bg-color-changer-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border: none;
  background-color: hsl(0, 0%, 93%);
  border-radius: 10px;
}
.boddy.body-light .bg-color-changer-btn:hover {
  background-color: hsl(0, 0%, 78%);
}
.boddy.body-light .extension-list {
  color: hsl(227, 75%, 14%);
}
.boddy.body-light .filter-section .btn {
  border: none;
  background-color: hsl(200, 60%, 99%);
  color: hsl(227, 75%, 14%);
  padding: 10px 20px;
  border-radius: 20px;
  margin-left: 5px;
  cursor: pointer;
}
.boddy.body-light .filter-section .btn:hover {
  background-color: hsl(200, 60%, 99%);
  color: hsl(226, 11%, 37%);
}
.boddy.body-light .filter-section .btn.activeFilterBtn {
  background-color: hsl(3, 86%, 64%);
  color: hsl(200, 60%, 99%);
}
.boddy.body-light .element {
  background-color: hsl(200, 60%, 99%);
  border: 0.1px solid hsl(226, 11%, 37%);
  border-radius: 15px;
  max-width: 350px;
  padding: 15px;
  color: hsl(227, 75%, 14%);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 200px;
}
.boddy.body-light .remove-btn {
  border: none;
  background-color: transparent;
  color: hsl(227, 75%, 14%);
  border: 0.1px solid hsl(226, 11%, 37%);
  padding: 10px 20px;
  border-radius: 20px;
  margin-left: 5px;
  cursor: pointer;
  transition: background-color linear 0.3s;
}
.boddy.body-light .remove-btn:hover {
  background-color: hsl(3, 77%, 44%);
}
.boddy.body-light .custom-checkbox {
  width: 50px;
  height: 25px;
  cursor: pointer;
  background-color: hsl(0, 0%, 78%);
  border-radius: 20px;
  padding: 3px;
  display: flex;
  align-items: center;
}

.boddy.body-light .checkbox:checked ~ .custom-checkbox {
  background-color: hsl(3, 86%, 64%);
}
.circle {
  position: absolute;
  top: 2.5px;
  left: 5px;
  width: 20px;
  height: 20px;
  background-color: hsl(200, 60%, 99%);
  border-radius: 50%;
  z-index: 2;
  transition: left linear 0.4s;
  cursor: pointer;
}
.boddy.body-light .checkbox:checked ~ .circle {
  left: 25px;
}
.boddy.body-light .element-info p {
  color: hsl(226, 11%, 37%);
  font-size: 14px;
}

/* ======Light Mode End======= */

@media (max-width: 1200px) {
  .extensions-container {
    width: 100%;
    height: fit-content;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    gap: 10px;
  }
}
@media (max-width: 800px) {
  .extensions-container {
    width: 100%;
    height: fit-content;
    display: grid;
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 10px;
  }
  .filter-section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 35px;
  }
}
